using User = JOBot.Proto.User;

namespace JOBot.TClient.Core.Services;

public class UserService(User.UserClient client)
{
    public async Task<bool> RegisterAsync(long userId, string? username)
    {
        
        var response = await client.RegisterAsync(new()
        {
            UserId = userId, 
            Username = username
        });

        return response.Success;
    }
}